//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * キャラクタモデルアニメーションのテスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Animation/Model/CharacterModelAnimationTest.h"
#include "Animation/System/AnimationManager.h"
#include "Animation/Model/CharacterModelAnimation.h"
#include "Animation/VectorInterpolator/VectorArrayInterpolator.h"
//#include "Graphics/System/LampGraphics.h"
//#include "Graphics/Model/ModelManager.h"

//------------------------------------------------------------------------------
// テストスィートの取得
Test* CharacterModelAnimationTest::suite(){
	TestSuite* suite = new TestSuite("CharacterModelAnimationTest");
	suite->addTest(new TestCaller(CharacterModelAnimationTest, testData));
	suite->addTest(new TestCaller(
		CharacterModelAnimationTest, testAnimationData));
	suite->addTest(new TestCaller(CharacterModelAnimationTest, testAnimation));
	return suite;
}
//------------------------------------------------------------------------------
// データテスト
void CharacterModelAnimationTest::testData(){
/*
	TestEquals(56, (int)sizeof(CharacterModelAnimation));
	AnimationManager manager;
	CharacterModelAnimation* animation0 =
		manager.createCharacterModel("animation0");
	TestAssert(animation0->isCharacterModelAnimation());
	animation0->setTargetName("target");
	TestEquals("target", animation0->getTargetName());
	TestEquals(0.f, animation0->getTime());
	animation0->setTime(10.f);
	TestEquals(10.f, animation0->getTime());
	TestEquals(0, animation0->getSequenceCount());
	animation0->setSequenceCount(2);
	TestEquals(2, animation0->getSequenceCount());
	TestEquals(0, animation0->getSequence());
	animation0->setSequence(1, 5.f);
	TestEquals(1, animation0->getSequence());
	TestEquals(5.f, animation0->getTime());
	manager.clear();
*/
}
//------------------------------------------------------------------------------
// アニメーションデータテスト
void CharacterModelAnimationTest::testAnimationData(){
}
//------------------------------------------------------------------------------
// アニメーションテスト
void CharacterModelAnimationTest::testAnimation(){
}
//------------------------------------------------------------------------------
